<?php 
include('../config/db.php');

$selPlan=(isset($_POST['selPlan']))?$_POST['selPlan']:"";
$txtId=(isset($_POST['txtId']))?$_POST['txtId']:"";
$valor=(isset($_POST['valor']))?$_POST['valor']:"";
$selected = "";
    try{
        $sql=$conexion->prepare("select ins.id, ins.nombre 
        from instalacionacceso ia inner join instalaciondetalleacceso ida on ia.id = ida.idAcceso
        inner JOIN instalacion ins on ins.id = ida.instalacionId
        where ia.id in (:idAcceso) ORDER by ins.id ASC");
        $sql->bindParam(":idAcceso",$txtId);
        $sql->execute();
        $listaInstalacion = $sql->fetchAll(PDO::FETCH_ASSOC); //almacena todos los registros como arreglo
        $cadena="<select required id='selInstalacion' name='selInstalacion' class='form-select' onchange='recargaMes(0);'>"; //
        $cadena=$cadena.'<option value=>Seleccione</option>';
        foreach($listaInstalacion as $ins){
            if($valor == $ins['id']){
                $selected = "selected";
            }else{
                $selected = "";
            }
            $cadena=$cadena.'<option '.$selected.' value='.$ins['id'].'>'.$ins['nombre'].'</option>';
        }
        echo  $cadena."</select>";
    }catch (Exception $err) {
        echo ("Ha ocurrido un error en la solicitud. ");  
        throw $err;
    }
?>